clang 10.0.0git

Public Member Functions | List of all members
clang::tooling::ToolResults Class Referenceabstract

An abstraction for the result of a tool execution. More...

`#include "clang/Tooling/Execution.h"`

Inheritance diagram for clang::tooling::ToolResults:
[legend]

## Public Member Functions
virtual | ~ToolResults ()=default
virtual void | addResult (StringRef Key, StringRef Value)=0
virtual std::vector< std::pair< llvm::StringRef, llvm::StringRef > > | AllKVResults ()=0
virtual void | forEachResult (llvm::function_ref< void(StringRef Key, StringRef Value)> Callback)=0

## Detailed Description

An abstraction for the result of a tool execution.

For example, the underlying result can be in-memory or on-disk.

Results should be string key-value pairs. For example, a refactoring tool can use source location as key and a replacement in YAML format as value.

Definition at line 46 of file Execution.h.

## Constructor & Destructor Documentation

## ◆ ~ToolResults()

virtual clang::tooling::ToolResults::~ToolResults | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ addResult()

virtual void clang::tooling::ToolResults::addResult | ( | StringRef | Key,
|  | StringRef | Value
| ) |  |
| pure virtual

Implemented in clang::tooling::InMemoryToolResults.

## ◆ AllKVResults()

virtual std::vector<std::pair<llvm::StringRef, llvm::StringRef> > clang::tooling::ToolResults::AllKVResults | ( |  | ) |
| pure virtual

Implemented in clang::tooling::InMemoryToolResults.

## ◆ forEachResult()

virtual void clang::tooling::ToolResults::forEachResult | ( | llvm::function_ref< void(StringRef Key, StringRef Value)> | Callback | ) |
| pure virtual

Implemented in clang::tooling::InMemoryToolResults.

The documentation for this class was generated from the following file:

- include/clang/Tooling/Execution.h